Glassboxx for WooCommerce
---

- Contributors: SDM36
- Plugin Name: Glassboxx for WooCommerce
- Plugin URI: https://glassboxx.co.uk/
- Tags: woocommerce, ebook, audiobook, digital downloads 
- Author URI: https://glassboxx.com/
- Author: Glassboxx
- License: GPLv3
- License URI: http://www.gnu.org/licenses/gpl-3.0.html
- Requires PHP: 7.0
- Requires at least: 4.9.4
- Tested up to: 6.0
- Stable tag: 2.0.6
- WC requires at least: 3.0.0
- WC tested up to: 6.3.1
- Version: 2.0.6

The Glassboxx for WooCommerce plugin adds Glassboxx fulfilment for eBook and audiobook sales to your WooCommerce store. With Glassboxx, eBooks and/or audiobooks sold directly to your customers from your WooCommerce site, are delivered securely within user-friendly applications on iOS, Android, Windows and macOS devices.

Description
---

Glassboxx is a Software as a Service (SaaS) solution from Firsty Group allowing audiobooks and eBooks purchased from any website, blog or social media platform to be fulfilled directly and seamlessly to the customer with full digital rights management (DRM), via Glassboxx apps on Android, iOS, Windows and macOS.

Sign up [here](https://glassboxx.com/signup "Sign up to Glassboxx") to create a Glassboxx Vendor account to use this plugin.  Once you've signed up, log in to the [Glassboxx Portal](https://glassboxx.com/login "Log into to the Glassboxx Portal") and follow the instructions on the Getting Started page in the Glassboxx Portal to set up your account and upload your eBooks and audiobooks.

WooCommerce product setup
---

You should create WooCommerce Virtual products in your WooCommerce store for your eBooks and audiobooks. You can use these as standalone products, in grouped products or as variants in Variable Products. Also, for your ebook and audiobook virtual products, leave the 'Downloadable' option unchecked, leave the 'Manage stock' option unchecked, set the Stock status to 'In stock' and check the 'Sold individually' option.

The SKUs of your virtual products should match the ISBN13s of the books you have uploaded to Glassboxx.

If using variable products, firstly create a WooCommerce custom product attribute with the format descriptions you require as Attribute Terms. Then when creating the Variable Product, for the Attribute, select the custom product attribute from the list of custom attributes, and chose all the values. Finally, add the variations you require for each format and ensure that the variants to be fulfilled by Glassboxx are created as Virtual products and that the SKU matches exactly the ISBN13 uploaded to Glassboxx for the corresponding eBook or audiobook.

Plugin usage
---

Once configured and your products are set up in your WooCommerce store and the Glassboxx Portal, the plugin handles all the communications between your WooCommerce store and Glassboxx, making the customer user experience simple and seamless. It also adds a block to the order success page signposting the customer to the Glassboxx apps when they have completed their purchase.

If you change the status of an order on the Order Page in WooCommerce from Pending Payment to Processing or Completed, the order details will also be sent to Glassboxx, allowing the customer to receive their book.


Installation
---

1. Make sure WooCommerce is installed.
2. Download the plugin file to your computer and unzip it.
3. Using an FTP program, or your hosting control panel, upload the unzipped plugin folder to your WordPress installation’s wp-content/plugins/ directory.
4. Activate the plugin from the Plugins menu within the WordPress admin.

Or upload the zip file and click Add New on the Plugins menu in your Wordpress admin and activate it.

Frequently Asked Questions
---

= Where do I create a Glassboxx vendor account? =

To sign up for a Glassboxx vendor account, please go [here](https://glassboxx.com/signup "Sign up for a Glassboxx vendor account")

= How much does it cost? =

For pricing, please go [here](https://glassboxx.com/glassboxx-pricing "See Glassboxx pricing")

= My orders are not being passed to Glassboxx, what's wrong? =

1. In your Glassboxx Vendor account, go to PRODUCTS / Manage Products, and make sure the ISBN of the product you’ve added to Glassboxx is 100% identical to the ISBN used for the product SKU in WooCommerce. The best value to use for both is the ISBN13 and must not contain dashes.
2. Make sure your WooCommerce products are set up as described as above.
3. Make sure the status of your WooCommerce order is Completed. If necessary, you can use the plugin Autocomplete WooCommerce Orders (https://wordpress.org/plugins/autocomplete-woocommerce-orders/) to automatically complete order of Virtual Products if your payment gateway plugin does not do this. After installing the Autocomplete plugin, in WooCommerce / Settings/ Autocomplete Orders, set the mode to ‘Paid orders of virtual orders only’.
4. Make sure the email address you are using to sign in to the Glassboxx app is identical to the address used to make the purchase on your website.

Where can I get more help?
---

There is a full FAQ for Glassboxx in the Glassboxx vendor portal, but if you have any other questions please contact 
glassboxxsupport@firstygroup.com

Changelog
---

0.1
1. Release Version

0.2
1. Moved Auth process to its own function.

0.3
1. Added 'findproduct' endpoint and retrieval sku, redirect to virtual product.

0.4 
1. Update text content

0.5
1. Fix redirect bug

0.7
1. Voucher fix
2. Admin wording changes

1.0.8
1. New Thank You text option 
2. Replace default Thank you text on Order Complete Page
3. Move Glassboxx Content on Order Complete Page depending on WC version
4. Fix bug in Admin Settings notices
5. Add thankyou text to 'new order' & 'order completed' emails

1.0.9
1. Documentation changes

1.0.10
1. Fix email text bug
2. Separate function for thankyou html
3. fix version checking
4. change email to send on customer_processing_order from new_order

1.0.11
1. change to thank you message
2. updated plugin description

1.0.12 
1. Glassboxx branding changes

1.0.13 
1. Addition of debug log file and control panel switch to enable debug mode
2. Allow virtual product variations of variable products to be sent to Glassboxx as well as stand-alone virtual products

1.0.14 
1. Send order to Glassboxx if admin user changes status of order on Order Management page from Pending Payment to Processing or Pending Payment to Completed
2. Fixed order datetime passed to Glassboxx

2.0.0
1. Compatibility changes for WooCommerce Marketplace

2.0.1
1. Descriptions updated

2.0.2
1. Tested upto Wordpress version 5.9

2.0.3
1. Thank you message updated

2.0.4
1. Code changes to comply with WordPress Marketplace security guidelines
2. Tested up to WordPress version 6.0

2.0.5
1. Links to MacOS and Windows apps removed, as not currently supported

2.0.6
1. Links to MacOS and Windows apps added